"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const Box = require("../../node_modules/.pnpm/@mantine_core@7.17.8_patch_hash_3qirwkgu3wxhvd6hnr2gb24yzq_@mantine_hooks@7.17.8_react@18.3.1_e5yvlgwhmeykc75dkphi7jou6q/node_modules/@mantine/core/esm/core/Box/Box.cjs");
const IconWebcam01 = (props, ref) => {
  return /* @__PURE__ */ jsxRuntime.jsx(
    "svg",
    {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg",
      strokeWidth: "1.5",
      ref,
      ...props,
      children: /* @__PURE__ */ jsxRuntime.jsx(
        "path",
        {
          d: "M8.00008 11.9999C10.9456 11.9999 13.3334 9.6121 13.3334 6.66659C13.3334 3.72107 10.9456 1.33325 8.00008 1.33325C5.05456 1.33325 2.66675 3.72107 2.66675 6.66659C2.66675 9.6121 5.05456 11.9999 8.00008 11.9999ZM8.00008 11.9999V14.6666M8.00008 14.6666H4.66675M8.00008 14.6666H11.3334M10.0001 6.66659C10.0001 7.77115 9.10465 8.66659 8.00008 8.66659C6.89551 8.66659 6.00008 7.77115 6.00008 6.66659C6.00008 5.56202 6.89551 4.66659 8.00008 4.66659C9.10465 4.66659 10.0001 5.56202 10.0001 6.66659Z",
          stroke: "currentColor",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: "inherit"
        }
      )
    }
  );
};
const ForwardRef = React.forwardRef(IconWebcam01);
const Webcam01 = React.forwardRef((props, ref) => {
  if (typeof props.size === "number") {
    const { size, ...rest } = props;
    props = {
      ...rest,
      w: size,
      h: size
    };
  }
  return /* @__PURE__ */ jsxRuntime.jsx(
    Box.Box,
    {
      ref,
      ...props,
      component: ForwardRef,
      className: ["tiui-icon", "Webcam01", props.className].join(" ")
    }
  );
});
Webcam01.displayName = "IconWebcam01";
exports.default = Webcam01;
